Subject: Re: linux-next: build warning after merge of the btrfs-kdave tree

From: David Sterba <[email-masked]>
Date: Thu, 21 Dec 2017 17:49:36 +0100

On Wed, Dec 20, 2017 at 08:12:11AM +0800, Qu Wenruo wrote:
> On 2017年12月20日 06:20, Stephen Rothwell wrote:
> > After merging the btrfs-kdave tree, today's linux-next build (powerpc
> > ppc64_defconfig) produced this warning:
> > 
> > fs/btrfs/qgroup.c: In function 'qgroup_reserve':
> > fs/btrfs/qgroup.c:2432:1: warning: label 'retry' defined but not used [-Wunused-label]
> >  retry:
> >  ^
> > 
> > Introduced by commit
> > 
> >   b283738ab0ad ("Revert "btrfs: qgroups: Retry after commit on getting EDQUOT"")
> > 
> Sorry, I forgot to clean it up.
> 
> I'll update the patchset along with new patches to handle qgroup limit
> better.

Meanwhile I've applied the fix from Arnd to silence the warning in
linux-next builds.